import { jsx } from "react/jsx-runtime";
import { VideoCameraIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const VideoCamera = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "VideoCamera", ...props, children: /* @__PURE__ */ jsx(VideoCameraIcon, { weight: variant }) });
  }
);
VideoCamera.displayName = "VideoCamera";
Object.assign(VideoCamera, { isGdsIcon: true });
export {
  VideoCamera
};
